Bug 8009 - Item descriptive data not populated on pay.pl
Summary: Item descriptive data not populated on pay.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: D Ruth Bavousett
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-25 13:03 UTC by D Ruth Bavousett
Modified: 2013-12-05 19:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.05 KB, patch)
2012-04-25 13:14 UTC, D Ruth Bavousett
Details | Diff | Splinter Review
Bug 8009: Item descriptive data not populated on pay.pl (1.15 KB, patch)
2012-05-13 12:06 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8009: Followup Item descriptive data not populated on pay.pl (1.05 KB, patch)
2012-05-15 14:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8009: Followup Item descriptive data not populated on pay.pl (1.15 KB, patch)
2012-05-15 15:06 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description D Ruth Bavousett 2012-04-25 13:03:44 UTC
On boraccount.pl, if an itemnumber is present in the accountline, the script passes ->{title} into the template for display (in GetMemberAccountRecords).  The template for pay.pl tries to use a ->{title} entry in the same way to help populate the "Description" field, but GetBorNotifyAcctRecord doesn't create that, so only accountlines.description (if present) shows up.

Patch coming shortly.
Comment 1 D Ruth Bavousett 2012-04-25 13:14:46 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-05-13 12:06:34 UTC
Created attachment 9535 [details] [review]
Bug 8009: Item descriptive data not populated on pay.pl

GetBorNotifyAcctRecord was not populating the {title} element of the
hash, which pay.tt will use.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 3 Jonathan Druart 2012-05-15 14:31:41 UTC
QA Comments:

I don't find where is used the biblionumber, maybe it is useless.
I think it is better to separate the description and the title, at least with a dot.

I will propose a followup
Comment 4 Jonathan Druart 2012-05-15 14:32:31 UTC Comment hidden (obsolete)
Comment 5 Jared Camins-Esakov 2012-05-15 15:06:43 UTC
Created attachment 9592 [details] [review]
Bug 8009: Followup Item descriptive data not populated on pay.pl

Separation of title from the description.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 6 Ian Walls 2012-05-23 14:04:41 UTC
First patch just adds new params to export; marking Passed QA

Second patch is just a set of () in a template... passed QA as well
Comment 7 Paul Poulain 2012-05-25 15:28:29 UTC
more an ENH than a fix I think
Comment 8 D Ruth Bavousett 2012-06-06 03:17:05 UTC
Fix or enhancement, I'd really like to see it in Stable, if that's possible.  We've got several libraries that are asking for it.
Comment 9 Jared Camins-Esakov 2012-06-06 03:25:54 UTC
I would consider this a bugfix. I intend to backport to 3.6.x, as it is a low-risk patch that fixes an obvious error.
Comment 10 Susie Hastings 2012-06-11 19:08:30 UTC
Just weighing in on this issue, “from the field” (Preston Library at VMI).  We’re an academic library whose faculty have a loan period of a whole academic year.  All their books are due on April 15, and when they are not returned after 28 days, they all become “Billed”.  It would not be too unusual for a faculty member to want to pay for one item from a list of other billed items that he expects to return in a few days.  You can imagine in that case how hard it would be to receive payment for the correct item, since there is no description on the “Pay Fines” tab.  So, to me, this seems more like a fix than an enhancement, and it would be great to have it fixed as soon as possible.
Comment 11 Chris Cormack 2012-06-12 07:21:24 UTC
Pushed to 3.8.x .. I will personally ring everyone of you if anyone complains about it being in 3.8.2 :-)